Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1513935 - Terminal consumes CPU even in when it's not rendering
Summary: Terminal consumes CPU even in when it's not rendering
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 10:19 UTC by Zdenek Kabelac
Modified: 2019-10-19 11:44 UTC (History)
4 users (show)

Fixed In Version: xfce4-terminal-0.8.7.1-1.fc27 xfce4-terminal-0.8.7.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-15 15:27:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Zdenek Kabelac 2017-11-16 10:19:43 UTC
Description of problem:

When using terminal - and having multiple tabs - where one of tabs is  having a lot of input - then even when such tabs is not visible and other tabs is used - the massive amount of CPU is still consumed by terminal AND Xorg server.

I'd expect when tab is 'not visible'  it's not consuming resources.

And as one can easily check it's even more ridiculous when compared with plain good old  'xterm' - when  scrolled  term is fully hidden by some other window.

For compare:

xfte4-terminal  (or gnome-terminal - both work the same bad way)
take around  50% of single core of my C2D.

While with hidden xterm -  Xorg consumes ONLY 16%.



Version-Release number of selected component (if applicable):
xfce4-terminal-0.8.6-3.fc27.x86_64
xterm-330-3.fc27.x86_64
xorg-x11-server-Xorg-1.19.5-1.fc28.x86_64

How reproducible:


Steps to Reproduce:
1. run printing loop in 1 tab
2. switch to 2nd. tab
3. observe resource consumed by Xorg 

Actual results:


Expected results:
CPU power is consumed by looping process - not by processes showing nothing.


Additional info:

Comment 1 Kevin Fenzi 2017-12-02 23:11:46 UTC
Can you duplicate this with any of the other of the vte291 using terminals? 

ie, gnome-terminal, nemo-terminal, roxterm, terminator, etc?

Comment 2 Fedora End Of Life 2018-02-20 15:29:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Fedora Update System 2018-03-03 23:14:13 UTC
xfce4-terminal-0.8.7.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab2c603885

Comment 4 Fedora Update System 2018-03-03 23:14:29 UTC
xfce4-terminal-0.8.7.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2993a22bcc

Comment 5 Fedora Update System 2018-03-04 18:07:59 UTC
xfce4-terminal-0.8.7.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab2c603885

Comment 6 Fedora Update System 2018-03-04 18:34:05 UTC
xfce4-terminal-0.8.7.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2993a22bcc

Comment 7 Fedora Update System 2018-03-15 15:27:41 UTC
xfce4-terminal-0.8.7.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-03-15 17:17:47 UTC
xfce4-terminal-0.8.7.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Egmont Koblinger 2019-10-19 11:44:43 UTC
This bug is still present. I've filed it upstream at https://gitlab.gnome.org/GNOME/gtk/issues/2212.


Note You need to log in before you can comment on or make changes to this bug.